Subject: RE: Implications of cell-based or frame-based MPLS

From: "Metz, E.T." <[email-masked]>
Date: Fri, 19 Jan 2001 16:35:27 +0100

> 
> (1) What are the other major differences in 
> performance/capabilities as a
> consequence of these two different implementations of MPLS 
> (cell versus
> packet-based) ?
> 

One is segmentation and reassembly. Even in the cell-based network you will
have a boundary (typically the PE) where you transform the IP packets into
cells and vice-versa. As far as I know this is not a function that performs
really well at high-speeds.

> (2) In the area of MPLS applications such as MPLS-VPNs, MPLS
> traffic-engineering and fast-reroute, what impacts are caused by the
> inability of an ATM-LSR to pop/push labels in the label stack 
> compared to a
> "frame/packet-based" LSR (which can pop/push labels in the 
> label stack) ?
> 

The inability of ATM-LSR to deal with stack depths > 1 requires you to use
packet-based PEs with a cell-interface towards the core (introducing the SAR
issue). Alternatively, you could make an ATM switch perform packet
operations (having the SAR issue twice), however, I doubt if this would
perform really well.

> In a most crude form, I am asking the question "what's better 
> : cell-mode or
> frame/packet-mode MPLS"

It is not a matter of good and bad, but rather a matter of needs.

If you only use the network for IP traffic only, I do not see a particular
need to introduce cell-based platforms. On the other hand they may prove to
be very useful if a significant part of your traffic is e.g. due to (native)
ATM services. In that case you could mix IP and ATM in the same core
platform (although there are sufficient people that would argue this is a
bad idea as well)

Hope this helped a bit ...

cheers,
	Eduard
> 
> Richard Crouch (CND-T - Vodafone Ltd.)
>

---

From: "Aris Kyriakopoulos" <[email-masked]>
Date: Fri, 19 Jan 2001 11:44:01 -0500

> really well at high-speeds.

Another issue is backbone speed.  If a carrier wishes to aggregate 
OC-12 or OC-48 IP traffic into an OC-192 core, to my knowledge 
there are no physical standards for cell switching at speeds > OC-48.  
This means that, even if SAR were performed at OC-12, the ATM 
backbone would be maxed out at OC-48 speeds.

> platform (although there are sufficient people that would argue this is a

Quite correct, but most major telcos offering a combination of circuit 
and packet data services will opt for the "ships in the night" approach.  
At least until Voice over IP becomes a viable alternative to Voice 
over ATM, in my opinion.

Cheers,
Aris

-- 
Aris Kyriakopoulos
Interoperability Test Engineering, PSAX CO Products
Lucent Technologies
Landover, MD
mobile: (301) 332-2840
office: (301) 809-4509
mailto:[email-masked]